Subject: bug#27127: Failure in "ls -t" when parameter list is long

From: Bernhard Voelker <[email-masked]>
Date: Mon, 29 May 2017 08:19:17 +0200

On 05/29/2017 06:20 AM, Teppo Mäenpää wrote:
> Now, When I know it, I am able to find the 128KiB limitation from the man 
> page of xargs. However, in my opinion, that radically changes the behavior, 
> and the fact that xargs can cause multiple invocations should be mentioned in 
> the "DESCRIPTION" part of xargs manpage.

This is already mentioned in the DESCRIPTION section of xarg's man page [1]:

  The  command  line for command is built up until it reaches a
  system-defined limit (unless the -n and -L options are used).
  The specified command will be invoked as many times as
  necessary to use up the list of input items.
  [...]

[1]
http://git.savannah.gnu.org/cgit/findutils.git/tree/xargs/xargs.1#n53

> [...] xargs could also emit something to 
> standard error when it hits the boundary and splits the command line into 
> fractions.

To get an idea what xargs is executing, please use the -t option:

  -t, --verbose
    Print the command line on the standard error output before executing it.

If you want to discuss more about xargs, then please post to the
findutils mailing list, as that tool is maintained there.

Have a nice day,
Berny